> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/api-documentation/api-reference/audit-logs.md).

# Audit Logs

The following endpoints allow you to get the organization and team audit logs and their details.

You can read more about audit logs in our [Help Center](https://www.make.com/en/help/access-management/audit-logs).

## List organization audit logs

> Gets a list of all audit log entries for the specified organization.\
> \
> The audit log entries in the response are sorted by the \`triggeredAt\` property in descending order by default. You can use pagination to navigate through a large number of entries.\
> \
> You can get the audit log entries only for organizations in which you have the "Admin" or "Owner" roles. Otherwise, you get the 403 error.\
> \
> \*\*Deprecated.\*\* Use \`GET /audit-logs/v2/organization/{organizationId}\` instead. That endpoint requires the\
> \`audit-logs:read\` scope on the API token.<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Audit logs","description":"The following endpoints allow you to get the organization and team audit logs and their details.\n\nYou can read more about audit logs in our [Help Center](https://www.make.com/en/help/access-management/audit-logs).\n"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/audit-logs/organization/{organizationId}":{"get":{"operationId":"getOrganizationAuditLogs","tags":["Audit logs"],"summary":"List organization audit logs","deprecated":true,"description":"Gets a list of all audit log entries for the specified organization.\n\nThe audit log entries in the response are sorted by the `triggeredAt` property in descending order by default. You can use pagination to navigate through a large number of entries.\n\nYou can get the audit log entries only for organizations in which you have the \"Admin\" or \"Owner\" roles. Otherwise, you get the 403 error.\n\n**Deprecated.** Use `GET /audit-logs/v2/organization/{organizationId}` instead. That endpoint requires the\n`audit-logs:read` scope on the API token.\n","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the organization."},{"name":"team","in":"query","description":"The identification of the teams for which you want to get the audit log entries. You can use either team IDs or team names.\n\nThe team name can contain any valid UTF8 symbols and spaces.\n","schema":{"oneOf":[{"type":"string"},{"type":"integer"},{"type":"array","items":{"type":"string"}},{"type":"array","items":{"type":"integer"}}]}},{"name":"dateFrom","in":"query","description":"Use the `dateFrom` parameter to get audit log entries from the specified date or newer. Specify the date in the YYYY-MM-DD format.","schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"query","description":"Use the `dateTo` parameter to get audit log entries until the specified date or older. Specify the date in the YYYY-MM-DD format.","schema":{"type":"string","format":"date"}},{"description":"The list of events for which you want to get audit log entries. To specify multiple events, use the array notation like: `GET /audit-logs/organization/{organizationId}?event[0]=key_created&event[1]=connection_created`.\n\nYou can check the list of supported events with the API call `GET /audit-logs/organization/{organizationId}/filters` in the `events` array in the response.\n","name":"event","in":"query","schema":{"oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]}},{"name":"author","in":"query","description":"The identification of the users for whose actions you want to get the audit log entries. You can use either user IDs or user names.\n\nThe user name can contain any valid UTF8 symbols and spaces.\n","schema":{"oneOf":[{"type":"string"},{"type":"integer"},{"type":"array","items":{"type":"string"}},{"type":"array","items":{"type":"integer"}}]}},{"name":"pg[offset]","in":"query","schema":{"type":"integer"},"description":"The number of entities you want to skip before getting entities you want."},{"name":"pg[limit]","in":"query","schema":{"type":"integer"},"description":"The maximum number of entities you want to get in the response."},{"name":"pg[last]","in":"query","schema":{"type":"integer"},"description":"The last retrieved key. In response, you get only entries that follow after the key."},{"schema":{"type":"string","enum":["createdAt","triggeredAt","eventName","organization","team","actor","targetId"]},"description":"Specify the response property values that Make will use to sort the audit log entries in the response. The default is `triggeredAt`.","name":"pg[sortBy]","in":"query"},{"schema":{"type":"string","enum":["asc","desc"]},"name":"pg[sortDir]","in":"query","description":"The sorting order. It accepts the ascending and descending direction specifiers."},{"name":"pg[returnTotalCount]","in":"query","schema":{"type":"boolean"},"description":"Set to `true` to get also the total number of audit log entries in the response."}],"responses":{"200":{"description":"Audit log entries for the specified organization.","content":{"application/json":{"schema":{"type":"object","properties":{"auditLogs":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"uuid":{"type":"string"},"createdAt":{"type":"string"},"triggeredAt":{"type":"integer"},"organizationId":{"type":"integer"},"organization":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"}}},"eventName":{"type":"string"},"team":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"}}},"actor":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"email":{"type":"string","format":"email"}}},"targetId":{"type":"string"},"version":{"type":"object","properties":{"from":{"type":"string"},"to":{"type":"string"}}}}}},"pg":{"allOf":[{"type":"object","properties":{"last":{"type":"string","description":"Shown only when using the `last` based pagination."},"showLast":{"type":"boolean","description":"Shown only when using the `last` based pagination."},"sortBy":{"type":"string"},"sortDir":{"type":"string"},"limit":{"type":"integer"},"offset":{"type":"integer","description":"Shown only when using the `offset` based pagination."}}},{"type":"object","properties":{"totalCount":{"type":"integer","description":"The number of audit log entries for the organization."}}}]}}}}}}}}}}}
```

## Get organization audit log filters

> Gets available audit logs filters for the organization.\
> \
> You can use the data in the response to filter audit log entries you get from the \`GET /audit-logs/organization/{organizationId}\` endpoint.\
> \
> \*\*Deprecated.\*\* Use \`GET /audit-logs/v2/organization/{organizationId}/filters\` instead. That endpoint requires the\
> \`audit-logs:read\` scope on the API token.<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Audit logs","description":"The following endpoints allow you to get the organization and team audit logs and their details.\n\nYou can read more about audit logs in our [Help Center](https://www.make.com/en/help/access-management/audit-logs).\n"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/audit-logs/organization/{organizationId}/filters":{"get":{"operationId":"getOrganizationAuditLogsFilters","tags":["Audit logs"],"summary":"Get organization audit log filters","deprecated":true,"description":"Gets available audit logs filters for the organization.\n\nYou can use the data in the response to filter audit log entries you get from the `GET /audit-logs/organization/{organizationId}` endpoint.\n\n**Deprecated.** Use `GET /audit-logs/v2/organization/{organizationId}/filters` instead. That endpoint requires the\n`audit-logs:read` scope on the API token.\n","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the organization."}],"responses":{"200":{"description":"Successfully retrieve of available audit logs filters for the organization","content":{"application/json":{"schema":{"type":"object","properties":{"users":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"email":{"type":"string","format":"email"}}}},"teams":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"}}}},"events":{"type":"array","items":{"type":"object","properties":{"header":{"type":"string"},"items":{"type":"array","items":{"type":"object","properties":{"label":{"type":"string"},"value":{"type":"string"}}}}}}}}}}}}}}}}}
```

## List team audit logs

> Gets a list of all audit log entries for the specified team.\
> \
> The audit log entries in the response are sorted by the \`triggeredAt\` property in descending order by default. You can use pagination to navigate through a large number of entries.\
> \
> You can get the audit log entries only for teams in which you have the "Team Admin" role. Otherwise, you get the 403 error.\
> \
> \*\*Deprecated.\*\* Use \`GET /audit-logs/v2/team/{teamId}\` instead. That endpoint requires the\
> \`audit-logs:read\` scope on the API token.<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Audit logs","description":"The following endpoints allow you to get the organization and team audit logs and their details.\n\nYou can read more about audit logs in our [Help Center](https://www.make.com/en/help/access-management/audit-logs).\n"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/audit-logs/team/{teamId}":{"get":{"operationId":"getTeamAuditLogs","tags":["Audit logs"],"summary":"List team audit logs","deprecated":true,"description":"Gets a list of all audit log entries for the specified team.\n\nThe audit log entries in the response are sorted by the `triggeredAt` property in descending order by default. You can use pagination to navigate through a large number of entries.\n\nYou can get the audit log entries only for teams in which you have the \"Team Admin\" role. Otherwise, you get the 403 error.\n\n**Deprecated.** Use `GET /audit-logs/v2/team/{teamId}` instead. That endpoint requires the\n`audit-logs:read` scope on the API token.\n","parameters":[{"name":"teamId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the team."},{"name":"dateFrom","in":"query","description":"Use the `dateFrom` parameter to get audit log entries from the specified date or newer. Specify the date in the YYYY-MM-DD format.","schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"query","description":"Use the `dateTo` parameter to get audit log entries until the specified date or older. Specify the date in the YYYY-MM-DD format.","schema":{"type":"string","format":"date"}},{"description":"The list of events for which you want to get audit log entries. To specify multiple events, use the array notation like: `GET /audit-logs/team/{teamId}?event[0]=key_created&event[1]=connection_created`.\n\nYou can check the list of supported events with the API call `GET /audit-logs/team/{teamId}/filters` in the `events` array in the response.\n","name":"event","in":"query","schema":{"oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]}},{"name":"author","in":"query","description":"The identification of the users for whose actions you want to get the audit log entries. You can use either user IDs or user names.\n\nThe user name can contain any valid UTF8 symbols and spaces.\n","schema":{"oneOf":[{"type":"string"},{"type":"integer"},{"type":"array","items":{"type":"string"}},{"type":"array","items":{"type":"integer"}}]}},{"name":"pg[offset]","in":"query","schema":{"type":"integer"},"description":"The number of entities you want to skip before getting entities you want."},{"name":"pg[limit]","in":"query","schema":{"type":"integer"},"description":"The maximum number of entities you want to get in the response."},{"name":"pg[last]","in":"query","schema":{"type":"integer"},"description":"The last retrieved key. In response, you get only entries that follow after the key."},{"schema":{"type":"string","enum":["createdAt","triggeredAt","eventName","organization","team","actor","targetId"]},"description":"Specify the response property values that Make will use to sort the audit log entries in the response. The default is `triggeredAt`.","name":"pg[sortBy]","in":"query"},{"schema":{"type":"string","enum":["asc","desc"]},"name":"pg[sortDir]","in":"query","description":"The sorting order. It accepts the ascending and descending direction specifiers."},{"name":"pg[returnTotalCount]","in":"query","schema":{"type":"boolean"},"description":"Set to `true` to get also the total number of audit log entries in the response."}],"responses":{"200":{"description":"Audit log entries for the specified team.","content":{"application/json":{"schema":{"type":"object","properties":{"auditLogs":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"uuid":{"type":"string"},"createdAt":{"type":"string"},"triggeredAt":{"type":"integer"},"organizationId":{"type":"integer"},"organization":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"}}},"eventName":{"type":"string"},"team":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"}}},"actor":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"email":{"type":"string","format":"email"}}},"targetId":{"type":"string"},"version":{"type":"object","properties":{"from":{"type":"string"},"to":{"type":"string"}}}}}},"pg":{"allOf":[{"type":"object","properties":{"last":{"type":"string","description":"Shown only when using the `last` based pagination."},"showLast":{"type":"boolean","description":"Shown only when using the `last` based pagination."},"sortBy":{"type":"string"},"sortDir":{"type":"string"},"limit":{"type":"integer"},"offset":{"type":"integer","description":"Shown only when using the `offset` based pagination."}}},{"type":"object","properties":{"totalCount":{"type":"integer","description":"The number of audit log entries for the organization."}}}]}}}}}}}}}}}
```

## Get organization audit log filters

> Gets available audit logs filters for the team.\
> \
> You can use the data in the response to filter audit log entries you get from the \`GET /audit-logs/team/{teamId}\` endpoint.\
> \
> \*\*Deprecated.\*\* Use \`GET /audit-logs/v2/team/{teamId}/filters\` instead. That endpoint requires the\
> \`audit-logs:read\` scope on the API token.<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Audit logs","description":"The following endpoints allow you to get the organization and team audit logs and their details.\n\nYou can read more about audit logs in our [Help Center](https://www.make.com/en/help/access-management/audit-logs).\n"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/audit-logs/team/{teamId}/filters":{"get":{"operationId":"getTeamAuditLogsFilters","tags":["Audit logs"],"summary":"Get organization audit log filters","deprecated":true,"description":"Gets available audit logs filters for the team.\n\nYou can use the data in the response to filter audit log entries you get from the `GET /audit-logs/team/{teamId}` endpoint.\n\n**Deprecated.** Use `GET /audit-logs/v2/team/{teamId}/filters` instead. That endpoint requires the\n`audit-logs:read` scope on the API token.\n","parameters":[{"name":"teamId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the team."}],"responses":{"200":{"description":"Successfully retried available audit logs filters for the team","content":{"application/json":{"schema":{"type":"object","properties":{"users":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"email":{"type":"string","format":"email"}}}},"events":{"type":"array","items":{"type":"object","properties":{"header":{"type":"string"},"items":{"type":"array","items":{"type":"object","properties":{"label":{"type":"string"},"value":{"type":"string"}}}}}}}}}}}}}}}}}
```

## Get audit log detail

> Gets details of the audit log entry with the specified UUID.\
> \
> \*\*Deprecated.\*\* Use \`GET /audit-logs/v2/{organizationId}/{uuid}\` instead. That endpoint requires the\
> \`audit-logs:read\` scope on the API token.<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Audit logs","description":"The following endpoints allow you to get the organization and team audit logs and their details.\n\nYou can read more about audit logs in our [Help Center](https://www.make.com/en/help/access-management/audit-logs).\n"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/audit-logs/{organizationId}/{uuid}":{"get":{"operationId":"getAuditLogDetail","tags":["Audit logs"],"summary":"Get audit log detail","deprecated":true,"description":"Gets details of the audit log entry with the specified UUID.\n\n**Deprecated.** Use `GET /audit-logs/v2/{organizationId}/{uuid}` instead. That endpoint requires the\n`audit-logs:read` scope on the API token.\n","parameters":[{"name":"uuid","in":"path","schema":{"type":"string"},"description":"The UUID of the audit log entry.","required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"allOf":[{"type":"object","additionalProperties":false,"properties":{"uuid":{"type":"string"},"createdAt":{"type":"string"},"triggeredAt":{"type":"integer"},"organizationId":{"type":"integer"},"organization":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"}}},"eventName":{"type":"string"},"team":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"}}},"actor":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"email":{"type":"string","format":"email"}}},"targetId":{"type":"string"},"version":{"type":"object","properties":{"from":{"type":"string"},"to":{"type":"string"}}}}},{"type":"object","properties":{"details":{"type":"object","additionalProperties":true}}}]}}}}}}}}}
```

## List organization audit logs

> Gets a list of all audit log entries for the specified organization.\
> \
> Requires the \`audit-logs:read\` scope on the API token.\
> \
> The audit log entries in the response are sorted by the \`triggeredAt\` property in ascending order by default. Use the \`pg\` object to change the sorting or navigate through a large result set. For cursor pagination, pass the last entry's \`imtId\` as \`pg\[last]\`.\
> \
> You can get the audit log entries only for organizations in which you have the "Admin" or "Owner" roles. Otherwise, you get the 403 error.<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Audit logs","description":"The following endpoints allow you to get the organization and team audit logs and their details.\n\nYou can read more about audit logs in our [Help Center](https://www.make.com/en/help/access-management/audit-logs).\n"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["audit-logs:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/audit-logs/v2/organization/{organizationId}":{"get":{"operationId":"getOrganizationAuditLogsV2","tags":["Audit logs"],"summary":"List organization audit logs","description":"Gets a list of all audit log entries for the specified organization.\n\nRequires the `audit-logs:read` scope on the API token.\n\nThe audit log entries in the response are sorted by the `triggeredAt` property in ascending order by default. Use the `pg` object to change the sorting or navigate through a large result set. For cursor pagination, pass the last entry's `imtId` as `pg[last]`.\n\nYou can get the audit log entries only for organizations in which you have the \"Admin\" or \"Owner\" roles. Otherwise, you get the 403 error.\n","parameters":[{"name":"organizationId","in":"path","required":true,"description":"The positive ID of the organization.","schema":{"type":"integer","minimum":1}},{"name":"team","in":"query","description":"Filter by one or more positive team IDs or team names. Repeat the parameter to provide multiple values.","style":"form","explode":true,"schema":{"oneOf":[{"type":"string"},{"type":"integer","minimum":1},{"type":"array","items":{"oneOf":[{"type":"string"},{"type":"integer","minimum":1}]}}]}},{"name":"dateFrom","in":"query","description":"Return entries triggered at or after this ISO 8601 date, ISO 8601 date-time, or Unix timestamp in milliseconds.","schema":{"anyOf":[{"type":"string","format":"date"},{"type":"string","format":"date-time"},{"type":"integer","format":"int64"}]}},{"name":"dateTo","in":"query","description":"Return entries triggered at or before this ISO 8601 date, ISO 8601 date-time, or Unix timestamp in milliseconds.","schema":{"anyOf":[{"type":"string","format":"date"},{"type":"string","format":"date-time"},{"type":"integer","format":"int64"}]}},{"name":"event","in":"query","description":"Filter by one or more event names. Repeat the parameter to provide multiple values.","style":"form","explode":true,"schema":{"oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]}},{"name":"author","in":"query","description":"Filter by one or more positive actor IDs, names, or email addresses. Repeat the parameter to provide multiple values.","style":"form","explode":true,"schema":{"oneOf":[{"type":"string"},{"type":"integer","minimum":1},{"type":"array","items":{"oneOf":[{"type":"string"},{"type":"integer","minimum":1}]}}]}},{"name":"pg","in":"query","description":"Pagination and sorting options encoded as a deep object, for example `pg[limit]=100&pg[offset]=0`.","style":"deepObject","explode":true,"schema":{"type":"object","additionalProperties":false,"default":{},"properties":{"sortBy":{"type":"string","description":"The audit-log property used for sorting.","enum":["triggeredAt","createdAt","eventName","targetId"],"default":"triggeredAt"},"sortDir":{"type":"string","description":"The sort direction.","enum":["asc","desc"],"default":"asc"},"returnTotalCount":{"type":"boolean","description":"When true, the response's `pg` object includes `totalCount`.","default":false},"last":{"type":"string","description":"The `imtId` of the last entry from the previous page. When provided, `offset` is ignored.","pattern":"^[0-9]{13}_[^_]+$"},"limit":{"type":"integer","description":"The maximum number of entries to return.","minimum":1,"maximum":10000,"default":1000},"offset":{"type":"integer","description":"The number of matching entries to skip. This value is ignored when `last` is provided.","minimum":0,"default":0}}}}],"responses":{"200":{"description":"Audit log entries for the specified organization.","content":{"application/json":{"schema":{"type":"object","required":["auditLogs","pg"],"properties":{"auditLogs":{"type":"array","items":{"allOf":[{"type":"object","required":["uuid","createdAt","triggeredAt","eventName","actor","targetId"],"properties":{"uuid":{"type":"string","description":"The UUIDv4 of the audit log entry. Hyphens are optional.","pattern":"^[0-9a-fA-F]{8}-?[0-9a-fA-F]{4}-?4[0-9a-fA-F]{3}-?[89abAB][0-9a-fA-F]{3}-?[0-9a-fA-F]{12}$"},"createdAt":{"type":"string","format":"date-time","description":"When Auditman stored the entry."},"triggeredAt":{"type":"string","format":"date-time","description":"When the audited event occurred."},"organizationId":{"type":"integer","minimum":1},"organization":{"type":"object","required":["id"],"properties":{"id":{"type":"integer","minimum":1},"name":{"type":"string"}}},"eventName":{"type":"string"},"team":{"type":"object","required":["id"],"properties":{"id":{"type":"integer","minimum":1},"name":{"type":"string"}}},"actor":{"type":"object","required":["id"],"properties":{"id":{"type":"integer","minimum":1},"name":{"type":"string"},"email":{"type":"string"}}},"targetId":{"type":"string"},"version":{"type":"object","required":["to"],"properties":{"from":{"type":"string"},"to":{"type":"string"}}}}},{"type":"object","properties":{"imtId":{"type":"string","description":"Cursor identifier to pass as `pg[last]` when requesting the next page.","pattern":"^[0-9]{13}_[^_]+$"}}}]}},"pg":{"type":"object","required":["limit"],"properties":{"sortBy":{"type":"string","enum":["triggeredAt","createdAt","eventName","targetId"]},"sortDir":{"type":"string","enum":["asc","desc"]},"returnTotalCount":{"type":"boolean"},"last":{"type":"string","pattern":"^[0-9]{13}_[^_]+$"},"limit":{"type":"integer","minimum":1,"maximum":10000},"offset":{"type":"integer","minimum":0},"totalCount":{"type":"integer","minimum":0}}}}}}}},"400":{"description":"An identifier, date, filter, pagination, or sorting value is invalid (`SC400`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}},"401":{"description":"Authentication failed, the authorization lacks `audit-logs:read`, or an organization-bound authorization cannot access the requested entity (`IM001` or `SC401`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}},"402":{"description":"The organization license does not include the audit logs feature (`IM027`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}},"403":{"description":"The caller lacks permission to view audit logs for the requested organization or team, or the audit log entry belongs to a different organization (`SC403`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}},"404":{"description":"The requested organization, team, or audit log entry does not exist (`SC404`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}}}}}}}
```

## Get organization audit log filters

> Gets available audit logs filters for the organization.\
> \
> Requires the \`audit-logs:read\` scope on the API token.\
> \
> Use the data in the response to build filters for the \`GET /audit-logs/v2/organization/{organizationId}\` endpoint: \`users\` and \`teams\` supply the values for the \`author\` and \`team\` parameters, and \`events\` supplies the values for the \`event\` parameter. The endpoint takes no query parameters.<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Audit logs","description":"The following endpoints allow you to get the organization and team audit logs and their details.\n\nYou can read more about audit logs in our [Help Center](https://www.make.com/en/help/access-management/audit-logs).\n"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["audit-logs:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/audit-logs/v2/organization/{organizationId}/filters":{"get":{"operationId":"getOrganizationAuditLogsFiltersV2","tags":["Audit logs"],"summary":"Get organization audit log filters","description":"Gets available audit logs filters for the organization.\n\nRequires the `audit-logs:read` scope on the API token.\n\nUse the data in the response to build filters for the `GET /audit-logs/v2/organization/{organizationId}` endpoint: `users` and `teams` supply the values for the `author` and `team` parameters, and `events` supplies the values for the `event` parameter. The endpoint takes no query parameters.\n","parameters":[{"name":"organizationId","in":"path","required":true,"description":"The positive ID of the organization.","schema":{"type":"integer","minimum":1}}],"responses":{"200":{"description":"Available audit logs filters for the specified organization.","content":{"application/json":{"schema":{"type":"object","required":["users","teams","events"],"properties":{"users":{"type":"array","items":{"type":"object","required":["id"],"properties":{"id":{"type":"integer","minimum":1},"name":{"type":"string"},"email":{"type":"string"}}}},"teams":{"type":"array","items":{"type":"object","required":["id"],"properties":{"id":{"type":"integer","minimum":1},"name":{"type":"string"}}}},"events":{"anyOf":[{"type":"array","items":{"type":"object","required":["header","items"],"properties":{"header":{"type":"string"},"items":{"type":"array","minItems":1,"items":{"type":"object","required":["label","value"],"properties":{"label":{"type":"string"},"value":{"type":"string"}}}}}}},{"type":"array","maxItems":1,"items":{"type":"object","required":["items"],"properties":{"items":{"type":"array","minItems":1,"items":{"type":"object","required":["label","value"],"properties":{"label":{"type":"string"},"value":{"type":"string"}}}}}}}]}}}}}},"400":{"description":"An identifier, date, filter, pagination, or sorting value is invalid (`SC400`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}},"401":{"description":"Authentication failed, the authorization lacks `audit-logs:read`, or an organization-bound authorization cannot access the requested entity (`IM001` or `SC401`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}},"402":{"description":"The organization license does not include the audit logs feature (`IM027`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}},"403":{"description":"The caller lacks permission to view audit logs for the requested organization or team, or the audit log entry belongs to a different organization (`SC403`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}},"404":{"description":"The requested organization, team, or audit log entry does not exist (`SC404`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}}}}}}}
```

## List team audit logs

> Gets a list of all audit log entries for the specified team.\
> \
> Requires the \`audit-logs:read\` scope on the API token.\
> \
> The audit log entries in the response are sorted by the \`triggeredAt\` property in ascending order by default. Use the \`pg\` object to change the sorting or navigate through a large result set. For cursor pagination, pass the last entry's \`imtId\` as \`pg\[last]\`.\
> \
> You can get the audit log entries only for teams in which you have the "Team Admin" role. Otherwise, you get the 403 error.<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Audit logs","description":"The following endpoints allow you to get the organization and team audit logs and their details.\n\nYou can read more about audit logs in our [Help Center](https://www.make.com/en/help/access-management/audit-logs).\n"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["audit-logs:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/audit-logs/v2/team/{teamId}":{"get":{"operationId":"getTeamAuditLogsV2","tags":["Audit logs"],"summary":"List team audit logs","description":"Gets a list of all audit log entries for the specified team.\n\nRequires the `audit-logs:read` scope on the API token.\n\nThe audit log entries in the response are sorted by the `triggeredAt` property in ascending order by default. Use the `pg` object to change the sorting or navigate through a large result set. For cursor pagination, pass the last entry's `imtId` as `pg[last]`.\n\nYou can get the audit log entries only for teams in which you have the \"Team Admin\" role. Otherwise, you get the 403 error.\n","parameters":[{"name":"teamId","in":"path","required":true,"description":"The positive ID of the team.","schema":{"type":"integer","minimum":1}},{"name":"dateFrom","in":"query","description":"Return entries triggered at or after this ISO 8601 date, ISO 8601 date-time, or Unix timestamp in milliseconds.","schema":{"anyOf":[{"type":"string","format":"date"},{"type":"string","format":"date-time"},{"type":"integer","format":"int64"}]}},{"name":"dateTo","in":"query","description":"Return entries triggered at or before this ISO 8601 date, ISO 8601 date-time, or Unix timestamp in milliseconds.","schema":{"anyOf":[{"type":"string","format":"date"},{"type":"string","format":"date-time"},{"type":"integer","format":"int64"}]}},{"name":"event","in":"query","description":"Filter by one or more event names. Repeat the parameter to provide multiple values.","style":"form","explode":true,"schema":{"oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]}},{"name":"author","in":"query","description":"Filter by one or more positive actor IDs, names, or email addresses. Repeat the parameter to provide multiple values.","style":"form","explode":true,"schema":{"oneOf":[{"type":"string"},{"type":"integer","minimum":1},{"type":"array","items":{"oneOf":[{"type":"string"},{"type":"integer","minimum":1}]}}]}},{"name":"pg","in":"query","description":"Pagination and sorting options encoded as a deep object, for example `pg[limit]=100&pg[offset]=0`.","style":"deepObject","explode":true,"schema":{"type":"object","additionalProperties":false,"default":{},"properties":{"sortBy":{"type":"string","description":"The audit-log property used for sorting.","enum":["triggeredAt","createdAt","eventName","targetId"],"default":"triggeredAt"},"sortDir":{"type":"string","description":"The sort direction.","enum":["asc","desc"],"default":"asc"},"returnTotalCount":{"type":"boolean","description":"When true, the response's `pg` object includes `totalCount`.","default":false},"last":{"type":"string","description":"The `imtId` of the last entry from the previous page. When provided, `offset` is ignored.","pattern":"^[0-9]{13}_[^_]+$"},"limit":{"type":"integer","description":"The maximum number of entries to return.","minimum":1,"maximum":10000,"default":1000},"offset":{"type":"integer","description":"The number of matching entries to skip. This value is ignored when `last` is provided.","minimum":0,"default":0}}}}],"responses":{"200":{"description":"Audit log entries for the specified team.","content":{"application/json":{"schema":{"type":"object","required":["auditLogs","pg"],"properties":{"auditLogs":{"type":"array","items":{"allOf":[{"type":"object","required":["uuid","createdAt","triggeredAt","eventName","actor","targetId"],"properties":{"uuid":{"type":"string","description":"The UUIDv4 of the audit log entry. Hyphens are optional.","pattern":"^[0-9a-fA-F]{8}-?[0-9a-fA-F]{4}-?4[0-9a-fA-F]{3}-?[89abAB][0-9a-fA-F]{3}-?[0-9a-fA-F]{12}$"},"createdAt":{"type":"string","format":"date-time","description":"When Auditman stored the entry."},"triggeredAt":{"type":"string","format":"date-time","description":"When the audited event occurred."},"organizationId":{"type":"integer","minimum":1},"organization":{"type":"object","required":["id"],"properties":{"id":{"type":"integer","minimum":1},"name":{"type":"string"}}},"eventName":{"type":"string"},"team":{"type":"object","required":["id"],"properties":{"id":{"type":"integer","minimum":1},"name":{"type":"string"}}},"actor":{"type":"object","required":["id"],"properties":{"id":{"type":"integer","minimum":1},"name":{"type":"string"},"email":{"type":"string"}}},"targetId":{"type":"string"},"version":{"type":"object","required":["to"],"properties":{"from":{"type":"string"},"to":{"type":"string"}}}}},{"type":"object","properties":{"imtId":{"type":"string","description":"Cursor identifier to pass as `pg[last]` when requesting the next page.","pattern":"^[0-9]{13}_[^_]+$"}}}]}},"pg":{"type":"object","required":["limit"],"properties":{"sortBy":{"type":"string","enum":["triggeredAt","createdAt","eventName","targetId"]},"sortDir":{"type":"string","enum":["asc","desc"]},"returnTotalCount":{"type":"boolean"},"last":{"type":"string","pattern":"^[0-9]{13}_[^_]+$"},"limit":{"type":"integer","minimum":1,"maximum":10000},"offset":{"type":"integer","minimum":0},"totalCount":{"type":"integer","minimum":0}}}}}}}},"400":{"description":"An identifier, date, filter, pagination, or sorting value is invalid (`SC400`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}},"401":{"description":"Authentication failed, the authorization lacks `audit-logs:read`, or an organization-bound authorization cannot access the requested entity (`IM001` or `SC401`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}},"402":{"description":"The organization license does not include the audit logs feature (`IM027`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}},"403":{"description":"The caller lacks permission to view audit logs for the requested organization or team, or the audit log entry belongs to a different organization (`SC403`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}},"404":{"description":"The requested organization, team, or audit log entry does not exist (`SC404`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}}}}}}}
```

## Get team audit log filters

> Gets available audit logs filters for the team.\
> \
> Requires the \`audit-logs:read\` scope on the API token.\
> \
> Use the data in the response to build filters for the \`GET /audit-logs/v2/team/{teamId}\` endpoint: \`users\` supplies the values for the \`author\` parameter and \`events\` supplies the values for the \`event\` parameter. The response has no \`teams\` array — the team is already fixed by the path. The endpoint takes no query parameters.<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Audit logs","description":"The following endpoints allow you to get the organization and team audit logs and their details.\n\nYou can read more about audit logs in our [Help Center](https://www.make.com/en/help/access-management/audit-logs).\n"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["audit-logs:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/audit-logs/v2/team/{teamId}/filters":{"get":{"operationId":"getTeamAuditLogsFiltersV2","tags":["Audit logs"],"summary":"Get team audit log filters","description":"Gets available audit logs filters for the team.\n\nRequires the `audit-logs:read` scope on the API token.\n\nUse the data in the response to build filters for the `GET /audit-logs/v2/team/{teamId}` endpoint: `users` supplies the values for the `author` parameter and `events` supplies the values for the `event` parameter. The response has no `teams` array — the team is already fixed by the path. The endpoint takes no query parameters.\n","parameters":[{"name":"teamId","in":"path","required":true,"description":"The positive ID of the team.","schema":{"type":"integer","minimum":1}}],"responses":{"200":{"description":"Available audit logs filters for the specified team.","content":{"application/json":{"schema":{"type":"object","required":["users","events"],"properties":{"users":{"type":"array","items":{"type":"object","required":["id"],"properties":{"id":{"type":"integer","minimum":1},"name":{"type":"string"},"email":{"type":"string"}}}},"events":{"anyOf":[{"type":"array","items":{"type":"object","required":["header","items"],"properties":{"header":{"type":"string"},"items":{"type":"array","minItems":1,"items":{"type":"object","required":["label","value"],"properties":{"label":{"type":"string"},"value":{"type":"string"}}}}}}},{"type":"array","maxItems":1,"items":{"type":"object","required":["items"],"properties":{"items":{"type":"array","minItems":1,"items":{"type":"object","required":["label","value"],"properties":{"label":{"type":"string"},"value":{"type":"string"}}}}}}}]}}}}}},"400":{"description":"An identifier, date, filter, pagination, or sorting value is invalid (`SC400`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}},"401":{"description":"Authentication failed, the authorization lacks `audit-logs:read`, or an organization-bound authorization cannot access the requested entity (`IM001` or `SC401`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}},"402":{"description":"The organization license does not include the audit logs feature (`IM027`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}},"403":{"description":"The caller lacks permission to view audit logs for the requested organization or team, or the audit log entry belongs to a different organization (`SC403`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}},"404":{"description":"The requested organization, team, or audit log entry does not exist (`SC404`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}}}}}}}
```

## Get audit log detail

> Gets details of the audit log entry with the specified UUID.\
> \
> Requires the \`audit-logs:read\` scope on the API token.\
> \
> The \`organizationId\` in the path must be the organization the entry belongs to.<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Audit logs","description":"The following endpoints allow you to get the organization and team audit logs and their details.\n\nYou can read more about audit logs in our [Help Center](https://www.make.com/en/help/access-management/audit-logs).\n"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["audit-logs:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/audit-logs/v2/{organizationId}/{uuid}":{"get":{"operationId":"getAuditLogDetailV2","tags":["Audit logs"],"summary":"Get audit log detail","description":"Gets details of the audit log entry with the specified UUID.\n\nRequires the `audit-logs:read` scope on the API token.\n\nThe `organizationId` in the path must be the organization the entry belongs to.\n","parameters":[{"name":"organizationId","in":"path","required":true,"description":"The positive ID of the organization.","schema":{"type":"integer","minimum":1}},{"name":"uuid","in":"path","required":true,"description":"The UUIDv4 of the audit log entry. Hyphens are optional.","schema":{"type":"string","pattern":"^[0-9a-fA-F]{8}-?[0-9a-fA-F]{4}-?4[0-9a-fA-F]{3}-?[89abAB][0-9a-fA-F]{3}-?[0-9a-fA-F]{12}$"}}],"responses":{"200":{"description":"Detail of the specified audit log entry.","content":{"application/json":{"schema":{"allOf":[{"type":"object","required":["uuid","createdAt","triggeredAt","eventName","actor","targetId"],"properties":{"uuid":{"type":"string","description":"The UUIDv4 of the audit log entry. Hyphens are optional.","pattern":"^[0-9a-fA-F]{8}-?[0-9a-fA-F]{4}-?4[0-9a-fA-F]{3}-?[89abAB][0-9a-fA-F]{3}-?[0-9a-fA-F]{12}$"},"createdAt":{"type":"string","format":"date-time","description":"When Auditman stored the entry."},"triggeredAt":{"type":"string","format":"date-time","description":"When the audited event occurred."},"organizationId":{"type":"integer","minimum":1},"organization":{"type":"object","required":["id"],"properties":{"id":{"type":"integer","minimum":1},"name":{"type":"string"}}},"eventName":{"type":"string"},"team":{"type":"object","required":["id"],"properties":{"id":{"type":"integer","minimum":1},"name":{"type":"string"}}},"actor":{"type":"object","required":["id"],"properties":{"id":{"type":"integer","minimum":1},"name":{"type":"string"},"email":{"type":"string"}}},"targetId":{"type":"string"},"version":{"type":"object","required":["to"],"properties":{"from":{"type":"string"},"to":{"type":"string"}}}}},{"type":"object","properties":{"detail":{"type":"object","additionalProperties":true}}}]}}}},"400":{"description":"An identifier, date, filter, pagination, or sorting value is invalid (`SC400`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}},"401":{"description":"Authentication failed, the authorization lacks `audit-logs:read`, or an organization-bound authorization cannot access the requested entity (`IM001` or `SC401`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}},"402":{"description":"The organization license does not include the audit logs feature (`IM027`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}},"403":{"description":"The caller lacks permission to view audit logs for the requested organization or team, or the audit log entry belongs to a different organization (`SC403`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}},"404":{"description":"The requested organization, team, or audit log entry does not exist (`SC404`).","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Stable Make API or Auditman error code."},"name":{"type":"string","description":"Error name included in responses returned by Auditman."},"message":{"type":"string","description":"Human-readable error message. Auditman uses a generic message in production responses."},"detail":{"type":"string","description":"Request-specific detail when the response safely exposes one."},"details":{"type":"array","description":"Individual validation failures included by Auditman outside production.","items":{"type":"string"}}}}}}}}}}}}
```
